Bullet Collision Detection & Physics Library: btSolveProjectedGaussSeidel Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
btSolveProjectedGaussSeidel Class Reference

original version written by Erwin Coumans, October 2013 More...

`#include <btSolveProjectedGaussSeidel.h>`

Inheritance diagram for btSolveProjectedGaussSeidel:
[legend]
Collaboration diagram for btSolveProjectedGaussSeidel:
[legend]

## Public Member Functions
| btSolveProjectedGaussSeidel ()
virtual bool | solveMLCP (const btMatrixXu &A, const btVectorXu &b, btVectorXu &x, const btVectorXu &lo, const btVectorXu &hi, const btAlignedObjectArray< int > &limitDependency, int numIterations, bool useSparsity=true)
Public Member Functions inherited from btMLCPSolverInterface
virtual | ~btMLCPSolverInterface ()
virtual bool | solveMLCP (const btMatrixXu &A, const btVectorXu &b, btVectorXu &x, const btVectorXu &lo, const btVectorXu &hi, const btAlignedObjectArray< int > &limitDependency, int numIterations, bool useSparsity=true)=0

## Public Attributes
btScalar | m_leastSquaresResidualThreshold
btScalar | m_leastSquaresResidual

## Detailed Description

original version written by Erwin Coumans, October 2013

This solver is mainly for debug/learning purposes: it is functionally equivalent to the btSequentialImpulseConstraintSolver solver, but much slower (it builds the full LCP matrix)

Definition at line 23 of file btSolveProjectedGaussSeidel.h.

## Constructor & Destructor Documentation

## ◆ btSolveProjectedGaussSeidel()

btSolveProjectedGaussSeidel::btSolveProjectedGaussSeidel | ( |  | ) |
| inline

Definition at line 29 of file btSolveProjectedGaussSeidel.h.

## Member Function Documentation

## ◆ solveMLCP()

virtual bool btSolveProjectedGaussSeidel::solveMLCP | ( | const btMatrixXu & | A,
|  | const btVectorXu & | b,
|  | btVectorXu & | x,
|  | const btVectorXu & | lo,
|  | const btVectorXu & | hi,
|  | const btAlignedObjectArray< int > & | limitDependency,
|  | int | numIterations,
|  | bool | useSparsity = `true`
| ) |  |
| inlinevirtual

Implements btMLCPSolverInterface.

Definition at line 35 of file btSolveProjectedGaussSeidel.h.

## Member Data Documentation

## ◆ m_leastSquaresResidual

btScalar btSolveProjectedGaussSeidel::m_leastSquaresResidual

Definition at line 27 of file btSolveProjectedGaussSeidel.h.

## ◆ m_leastSquaresResidualThreshold

btScalar btSolveProjectedGaussSeidel::m_leastSquaresResidualThreshold

Definition at line 26 of file btSolveProjectedGaussSeidel.h.

The documentation for this class was generated from the following file:

- btSolveProjectedGaussSeidel.h